# Tarfile created using git
# git clone git://git.moblin.org/clutter-imcontext
# git archive --format=tar --prefix=%{name}-%{version}/ %{git_version} | bzip2 > ~/%{name}-%{version}-%{gitdate}.tar.bz2
%define git_version 9043ff1
%define tarfile %{name}-%{version}.tar.bz2

%define major		0
%define api		0.1
%define libname		%mklibname %{name} %{api} %{major}
%define develname	%mklibname -d %{name}

Name:		clutter-imcontext
Version:	0.1.6
Release:	%mkrel 13
Summary:	IMContext Framework Library for Clutter
Group:		System/Libraries
License:	LGPLv2
URL:		http://www.moblin.org/
Source0:	%{tarfile}
BuildRequires:	glib2-devel
BuildRequires:	clutter-devel
BuildRequires:	gtk-doc

%description
IMContext Framework Library for Clutter.

%package -n %{libname}
Summary:	Runtime library for %{name}
Group:		System/Libraries
Requires:	%{name} >= %{version}-%{release}

%description -n %{libname}
Runtime library for %{name}.

%package -n %{develname}
Summary:	Development files and headers for %{name}
Group:		Development/C
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	%{_lib}clutter-imcontext%{api}-devel = %{version}-%{release}
Requires:	%{libname} = %{version}-%{release}
Obsoletes:	%{_lib}clutter-imcontext0.1-devel < 0.1.6-6

%description -n %{develname}
Files for development with %{name}.

%package docs
Summary:	Documentation package for %{name}
Group:		Development/C
Requires:	%{name}-devel = %{version}-%{release}
BuildArch:	noarch

%description docs
Documentation for development with %{name}.

%prep
%setup -q

%build
# Don't run configure from autogen.sh
sed -i -e '/configure/d' autogen.sh
./autogen.sh

%configure \
        --enable-gtk-doc \
	--disable-static

%make V=1

%install
%make_install

#Remove libtool archives.
find %{buildroot} -name '*.la' -delete

%files
%dir %{_sysconfdir}/clutter-imcontext
%config %{_sysconfdir}/clutter-imcontext/enable_autoshow
%{_bindir}/clutter-scan-immodules

%files -n %{libname}
%doc AUTHORS ChangeLog
%{_libdir}/lib%{name}-%{api}.so.%{major}{,.*}

%files -n %{develname}
%{_includedir}/%{name}-%{api}
%{_libdir}/pkgconfig/%{name}-%{api}.pc
%{_libdir}/lib%{name}-%{api}.so

%files docs
%doc %{_datadir}/gtk-doc/html/%{name}


%changelog
* Wed Feb 12 2020 umeabot <umeabot> 0.1.6-13.mga8
+ Revision: 1511446
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x
- replace deprecated %%makeinstall_std

* Sat Sep 22 2018 umeabot <umeabot> 0.1.6-12.mga7
+ Revision: 1296614
- Mageia 7 Mass Rebuild

* Mon Feb 08 2016 umeabot <umeabot> 0.1.6-11.mga6
+ Revision: 946722
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.1.6-10.mga5
+ Revision: 750607
- Second Mageia 5 Mass Rebuild

* Thu Sep 18 2014 umeabot <umeabot> 0.1.6-9.mga5
+ Revision: 693647
- Rebuild to fix library dependencies

* Tue Sep 16 2014 umeabot <umeabot> 0.1.6-8.mga5
+ Revision: 678445
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 0.1.6-7.mga4
+ Revision: 530506
- Mageia 4 Mass Rebuild

* Wed Jul 24 2013 wally <wally> 0.1.6-6.mga4
+ Revision: 457838
- fix devel pkg name

* Sat Jan 12 2013 fwang <fwang> 0.1.6-5.mga3
+ Revision: 359730
- fix requires of doc package

* Fri Jan 11 2013 umeabot <umeabot> 0.1.6-4.mga3
+ Revision: 347942
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Jan 22 2012 dmorgan <dmorgan> 0.1.6-3.mga2
+ Revision: 199538
- Own %%{_sysconfdir}/clutter-imcontext

* Tue Nov 22 2011 wally <wally> 0.1.6-2.mga2
+ Revision: 171044
- fix doc pkg group
- rebuild for new clutter

* Tue Jun 28 2011 wally <wally> 0.1.6-1.mga2
+ Revision: 115459
- clean .spec
+ cjw <cjw>
- imported package clutter-imcontext


* Sat Jun 25 2011 Christiaan Welvaart <cjw@daneel.dyndns.org> 0.1.6-1
- adapt fedora package to mageia packaging policy

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.6-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sat Jun 19 2010 Peter Robinson <pbrobinson@gmail.com> 0.1.6-3
- Make docs package noarch

* Sat Jun 19 2010 Peter Robinson <pbrobinson@gmail.com> 0.1.6-2
- Split out docs to a subpackage - fixes 602882, 604343

* Sat May  1 2010 Peter Robinson <pbrobinson@gmail.com> 0.1.6-1
- New 0.1.6 upstream release.

* Fri Aug  7 2009 Peter Robinson <pbrobinson@gmail.com> 0.1.4-2
- Spec file cleanups

* Thu Aug  6 2009 Peter Robinson <pbrobinson@gmail.com> 0.1.4-1
- New 0.1.4 upstream release.
- license clarfied so remove spec file note
- remove upstreamed clutter patches

* Tue Aug  4 2009 Peter Robinson <pbrobinson@gmail.com> 0.1.2-6
- Add some more clutter 1.0 bits

* Thu Jul 30 2009 Peter Robinson <pbrobinson@gmail.com> 0.1.2-5
- Add a patch for clutter 1.0

* Sun Jul 26 2009 Peter Robinson <pbrobinson@gmail.com> 0.1.2-4
- A small fix up

* Mon Jul 20 2009 Peter Robinson <pbrobinson@gmail.com> 0.1.2-3
- More review request updates, license clarification

* Sun Jul 19 2009 Peter Robinson <pbrobinson@gmail.com> 0.1.2-2
- Updates from the review request

* Wed Jul 15 2009 Peter Robinson <pbrobinson@gmail.com> 0.1.2-1
- Initial packaging
